.box > span {
	font-weight: bold;
	position: relative;
	width: 100%;
	display: inline-block;
}

.box span:after {
	content: '';
	position: absolute;
	width: 100%;
	height: 1px;
	background: black;
	top: 130%;
	left: 0;
}

.box {
	border: 1px solid black;
	border-radius: 5px;
	padding: 5px;
	margin-top: 10px;
	margin-bottom: 10px;
}

.box > p {
	padding-left: 10px;
	margin-bottom: 0;
}

.definition {
	background-color: AliceBlue;
}

.theorem {
	background-color: rgba(152, 251, 152, 0.5);
}

details {
	border: 1px solid black;
	border-radius: 5px;
	padding: 5px;
	margin-bottom: 10px;
	margin-top: 10px;
}

details summary {
	font-style: italic;
}

details p {
	padding-left: 10px;
}
